Bug 410685 - Make Ctrl+W shortcut work in Ctrl+Tab list
Summary: Make Ctrl+W shortcut work in Ctrl+Tab list
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Applications
Component: part (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2019-08-07 08:11 UTC by Gregor Mi
Modified: 2020-12-15 16:02 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 21.04


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gregor Mi 2019-08-07 08:11:14 UTC
When I use Ctrl+Tab to browse recent documents, I often come across documents which are not used anymore and could be closed.

It would be cool if the Ctrl+W shortcut (Close document) would also work in this list.
Comment 1 Nate Graham 2019-08-07 19:45:59 UTC
+1
Comment 2 Dominik Haumann 2019-08-07 20:35:55 UTC
Good idea.
Comment 3 Bug Janitor Service 2020-12-14 09:46:12 UTC
A possibly relevant merge request was started @ https://invent.kde.org/utilities/kate/-/merge_requests/135
Comment 4 Christoph Cullmann 2020-12-14 09:54:47 UTC
Git commit dc9196427b2fa17640b99b867d1039549598c86d by Christoph Cullmann, on behalf of Waqar Ahmed.
Committed on 14/12/2020 at 09:53.
Pushed by cullmann into branch 'master'.

Make Ctrl+W shortcut work in Ctrl+Tab tabswitcher

M  +21   -1    addons/tabswitcher/tabswitcher.cpp
M  +5    -0    addons/tabswitcher/tabswitcher.h

https://invent.kde.org/utilities/kate/commit/dc9196427b2fa17640b99b867d1039549598c86d